Page MenuHomePhabricator

Consider removing mediawikiwiki from wgCentralAuthAutoCreateWikis
Closed, ResolvedPublic

Description

In https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/220970 wgCentralAuthAutoCreateWikis was initially populated with 'loginwiki', 'metawiki', and 'mediawikiwiki'.

So I think 'mediawikiwiki' is no longer needed and can be removed from auto account creation wiki list.

Event Timeline

Framawiki triaged this task as Low priority.Feb 10 2019, 2:50 PM
Framawiki created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2019, 2:50 PM
Framawiki updated the task description. (Show Details)Feb 10 2019, 2:56 PM
Zppix added a subscriber: Zppix.Feb 12 2019, 1:50 PM

If consensus is needed we should wait for that otherwise I'd be willing to take this on

Tgr added a comment.Feb 12 2019, 11:49 PM

This sounds sane. No consensus needed.

It seems that you consider that a local account on 'metawiki' is autocreated, when a global account is created.
But some people have no account on 'metawiki', for instance Hubert0482 and RalfU690717.

Zppix claimed this task.Feb 13 2019, 1:41 PM
Restricted Application added a project: User-Zppix. · View Herald TranscriptFeb 13 2019, 1:41 PM

Change 490326 had a related patch set uploaded (by Zppix; owner: Zppix):
[operations/mediawiki-config@master] Remove mediawikiwiki from wgCentralAuthAutoCreateWikis

https://gerrit.wikimedia.org/r/490326

Tgr added a comment.Feb 13 2019, 10:03 PM

But some people have no account on 'metawiki', for instance Hubert0482 and RalfU690717.

Yeah, bugs happen and might break local account autocreation temporarily. Also different wikis have different blacklists / abuse filters and those can block local account autocreation as well.

NicoScribe added a comment.EditedFeb 14 2019, 11:35 AM

But some people have no account on 'metawiki', for instance Hubert0482 and RalfU690717.

Yeah, bugs happen and might break local account autocreation temporarily. Also different wikis have different blacklists / abuse filters and those can block local account autocreation as well.

OK, thank you. I am just saying that it is not difficult to find other global accounts without account on 'metawiki': Bill Dance 22, Diane Sims Black, IanDBeacon 3, Larissa Cordova... Perhaps another Phabricator task should be created to investigate the bugs / blacklists / abuse filters, that are preventing these local account autocreations on 'metawiki'.
(And there are also old global accounts with recent activity but without account on 'mediawikiwiki + metawiki': Fear3235, James265, Saphomicron.)

Change 490326 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove mediawikiwiki from wgCentralAuthAutoCreateWikis

https://gerrit.wikimedia.org/r/490326

Mentioned in SAL (#wikimedia-operations) [2019-02-28T00:10:34Z] <ebernhardson@deploy1001> Synchronized wmf-config/CommonSettings.php: T215725 Remove mediawikiwiki from wgCentralAuthAutoCreateWikis (duration: 00m 54s)

Zppix closed this task as Resolved.Feb 28 2019, 12:12 AM
Zppix removed a project: Patch-For-Review.

It has been deployed im resolving this if needed feel free to reopen if needed!